Tspi_Context_GetCapability(3)

NAME
Tspi_Context_GetCapability - provide the capabilites of a TSS Core Service, TSS Service Provider, or TPM.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_GetCapability(TSS_HCONTEXT hContext,          TSS_FLAG capArea,
                                      UINT32       ulSubCapLength,    BYTE*    rgbSubCap,
                                      UINT32*      pulRespDataLength, BYTE**   prgbRespData);

DESCRIPTION

TSS_Context_GetCapability provides the capabilities of the TSS Core Service or TSS Service Provider

PARAMETERS

  hContext
The handle of the context object.

  capArea
Flag indicating the attribute to query.

  ulSubCapLength
The length (in bytes) of the rgbSubCap parameter.

  rgbSubCap
Data indicating the attribute to query.

  pulRespDataLength
Recieves the length (in bytes) of the prgbRespData parameter.

  prgbRespData
On successful completion of the command, this parameter points to a buffer containing the actual data of the specified capability.

RETURN CODES

Tspi_Context_GetCapability returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - hContext is an invalid handle.

TSS_E_BAD_PARAMETER - One of the parameters did not match.

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_Context_GetCapability conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

(none).